Get started
Get started with Content Definitions API
The Optimizely Content Definitions API is a REST API that lets system integrators and external clients remotely manage definitions, such as Content types , Property Groups , and Property Data Types without deploying code to the Optimizely application or using the admin user interface. Changes made through this API are reflected in the admin user interface and vice versa.
Content Definitions manifest
A content definitions manifest contains all content definitions in one JSON document. The Optimizely Content Management System (CMS) application uses these definitions to let users create and manage content, and it is typically updated during application startup or when the definitions have changed.
Content types
You can use the content type endpoints to manage content types in an Optimizely Content Management System (CMS) application. See Semantic versioning .
Semantic versioning
If your solution has multiple clients sharing the same content types, you can turn on and enforce semantic versioning of content types globally by configuration. You can also enable semantic versioning per content type by specifying a version in the definitions manifest for the content type.
Property data types
List property data types available in the system. GET /api/episerver/v3.
Property groups
Property groups are the available tabs in edit view where properties are displayed. The name is the identifier of the group.
Editor definitions
The dataType and uiHint together forms a key to select an editor widget for properties that share the same key. Omitting uiHint (or leaving it blank) applies the setting to properties of that data type that do not have a uiHint and overriding the default editors.
Language branches
Language branches are definitions of language and regions that should be available for creating content. List language branch definitions in the system.